<Type Name="DataViewManager" FullName="System.Data.DataViewManager">
  <TypeSignature Language="C#" Value="public class DataViewManager : System.ComponentModel.MarshalByValueComponent, IComponent, IDisposable, IServiceProvider, IBindingList, IList, ICollection, IEnumerable, ITypedList" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System.Data</AssemblyName>
    <AssemblyPublicKey>[00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00]</AssemblyPublicKey>
    <AssemblyVersion>1.0.3300.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Security.AllowPartiallyTrustedCallersAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.ComponentModel.MarshalByValueComponent</BaseTypeName>
  </Base>
  <Interfaces>
    <Interface>
      <InterfaceName>System.ComponentModel.IComponent</InterfaceName>
    </Interface>
    <Interface>
      <InterfaceName>System.IDisposable</InterfaceName>
    </Interface>
    <Interface>
      <InterfaceName>System.IServiceProvider</InterfaceName>
    </Interface>
    <Interface>
      <InterfaceName>System.ComponentModel.IBindingList</InterfaceName>
    </Interface>
    <Interface>
      <InterfaceName>System.Collections.IList</InterfaceName>
    </Interface>
    <Interface>
      <InterfaceName>System.Collections.ICollection</InterfaceName>
    </Interface>
    <Interface>
      <InterfaceName>System.Collections.IEnumerable</InterfaceName>
    </Interface>
    <Interface>
      <InterfaceName>System.ComponentModel.ITypedList</InterfaceName>
    </Interface>
  </Interfaces>
  <Attributes>
    <Attribute>
      <AttributeName>System.ComponentModel.DesignerAttribute</AttributeName>
    </Attribute>
  </Attributes>
  <Members>
    <Member MemberName="RelationCollectionChanged">
      <MemberSignature Language="C#" Value="protected virtual void RelationCollectionChanged (object sender, ComponentModel.CollectionChangeEventArgs e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="sender" Type="System.Object" />
		<Parameter Name="e" Type="System.ComponentModel.CollectionChangeEventArgs" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="sender">To be added: an object of type 'object'</param>
        <param name="e">To be added: an object of type 'ComponentModel.CollectionChangeEventArgs'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="TableCollectionChanged">
      <MemberSignature Language="C#" Value="protected virtual void TableCollectionChanged (object sender, ComponentModel.CollectionChangeEventArgs e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="sender" Type="System.Object" />
		<Parameter Name="e" Type="System.ComponentModel.CollectionChangeEventArgs" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="sender">To be added: an object of type 'object'</param>
        <param name="e">To be added: an object of type 'ComponentModel.CollectionChangeEventArgs'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="OnListChanged">
      <MemberSignature Language="C#" Value="protected virtual void OnListChanged (ComponentModel.ListChangedEventArgs e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.ComponentModel.ListChangedEventArgs" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'ComponentModel.ListChangedEventArgs'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CreateDataView">
      <MemberSignature Language="C#" Value="public DataView CreateDataView (DataTable table);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.DataView</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="table" Type="System.Data.DataTable" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="table">To be added: an object of type 'DataTable'</param>
        <returns>To be added: an object of type 'DataView'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public DataViewManager ();" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'DataViewManager'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public DataViewManager (DataSet dataSet);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="dataSet" Type="System.Data.DataSet" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="dataSet">To be added: an object of type 'DataSet'</param>
        <returns>To be added: an object of type 'DataViewManager'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="DataSet">
      <MemberSignature Language="C#" Value="public DataSet DataSet { set; get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.DataSet</ReturnType>
      </ReturnValue>
      <Parameters>
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'DataSet'</param>
        <returns>To be added: an object of type 'DataSet'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="DataViewSettings">
      <MemberSignature Language="C#" Value="public DataViewSettingCollection DataViewSettings { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.DataViewSettingCollection</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'DataViewSettingCollection'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="DataViewSettingCollectionString">
      <MemberSignature Language="C#" Value="public string DataViewSettingCollectionString { set; get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Parameters>
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ListChanged">
      <MemberSignature Language="C#" Value="public virtual event ComponentModel.ListChangedEventHandler ListChanged;" />
      <MemberType>Event</MemberType>
      <ReturnValue><ReturnType>System.ComponentModel.ListChangedEventHandler</ReturnType></ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>
